Results 1 to 4 of 4

Thread: Resizing viewports

  1. #1
    Member
    Join Date
    2018-09
    Posts
    5
    Login to Give a bone
    0

    Default Resizing viewports

    Hello everybody,

    I'd like to have a lisp able to change all viewports size based on the modified viewport.

    So, you modify a viewport on layout 1 and then you apply that size to all viewports of all layouts (size and center to fit the same location)

    Thanks in advance.

  2. #2
    All AUGI, all the time
    Join Date
    2010-06
    Posts
    962
    Login to Give a bone
    0

    Default Re: Resizing viewports

    Hi,

    Here are a few codes for you to get started with and to build on.

    Code:
    (if (and (setq s (car (entsel "\nSelect a viewport :")))
             (= (vla-get-objectname (setq v (vlax-ename->vla-object s))) "AcDbViewport")
             (setq p (getpoint "\nSpecify center point of viewport :"))
             (setq w (getdist "\nSpecify width :"))
             (setq h (getdist "\nSpecify height :"))
             )
      (progn
        (vla-put-width v w)
        (vla-put-height v h)
        (vla-put-center v (vlax-3d-point p))
        )
      )
    
    (vl-load-com)

  3. #3
    Member
    Join Date
    2018-09
    Posts
    5
    Login to Give a bone
    0

    Default Re: Resizing viewports

    Hello,

    Thanks!

  4. #4
    All AUGI, all the time
    Join Date
    2010-06
    Posts
    962
    Login to Give a bone
    0

    Default Re: Resizing viewports

    You're welcome anytime.

Similar Threads

  1. Resizing Section Box
    By naranjo in forum Revit Architecture - General
    Replies: 8
    Last Post: 2012-09-19, 04:48 AM
  2. Resizing viewports for Revit
    By carylkinseyfox in forum Training
    Replies: 1
    Last Post: 2009-12-14, 09:49 PM
  3. Resizing Viewports
    By David Sammons in forum Revit Architecture - General
    Replies: 7
    Last Post: 2004-01-26, 01:22 AM
  4. Resizing Viewports
    By e.wee1790 in forum Revit Architecture - General
    Replies: 5
    Last Post: 2003-09-01, 05:40 PM
  5. Dialogue box resizing
    By brentcarlson892079 in forum Revit Architecture - Wish List
    Replies: 5
    Last Post: 2003-08-06, 09:21 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •